<?php

namespace common\models;

/**
 * This is the model class for table "{{%AMP_PERIOD}}".
 *
 * @property string ID
 * @property string USER_ID 用户ID
 * @property string ORDER_SN 订单号
 * @property int    PERIOD_NUM 周期
 * @property double BV BV
 */
class AmpPeriod extends \common\components\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return '{{%AMP_PERIOD}}';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['USER_ID', 'ORDER_SN', 'PERIOD_NUM', 'BV'], 'required'],
            [['PERIOD_NUM', 'BV'], 'number'],
            [['ID'], 'unique'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'ID' => 'ID',
            'USER_ID' => '用户ID',
            'ORDER_SN' => '订单号',
            'PERIOD_NUM' => '周期',
            'BV' => 'BV',
        ];
    }
}
